lineage
Create lineage gate decision
Requires scopes: runs:write
POST
/
api
/
lineage
/
gate-decision
Create lineage gate decision
curl --request POST \
--url https://evalgate.com/api/lineage/gate-decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reasonCode": "<string>",
"evaluationRunId": 123,
"passed": true,
"exitCode": 123,
"policy": "<string>",
"score": 123,
"baselineRunId": 123,
"baselineScore": 123,
"reasonMessage": "<string>",
"minScore": 123,
"maxDrop": 123,
"warnDrop": 123,
"regressionDelta": 123,
"ciRunUrl": "<string>",
"failedTestCaseIds": [
123
]
}
'import requests
url = "https://evalgate.com/api/lineage/gate-decision"
payload = {
"reasonCode": "<string>",
"evaluationRunId": 123,
"passed": True,
"exitCode": 123,
"policy": "<string>",
"score": 123,
"baselineRunId": 123,
"baselineScore": 123,
"reasonMessage": "<string>",
"minScore": 123,
"maxDrop": 123,
"warnDrop": 123,
"regressionDelta": 123,
"ciRunUrl": "<string>",
"failedTestCaseIds": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reasonCode: '<string>',
evaluationRunId: 123,
passed: true,
exitCode: 123,
policy: '<string>',
score: 123,
baselineRunId: 123,
baselineScore: 123,
reasonMessage: '<string>',
minScore: 123,
maxDrop: 123,
warnDrop: 123,
regressionDelta: 123,
ciRunUrl: '<string>',
failedTestCaseIds: [123]
})
};
fetch('https://evalgate.com/api/lineage/gate-decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"recorded": true,
"gateDecision": {
"evaluationRunId": 123,
"passed": true,
"exitCode": 123,
"reasonCode": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create lineage gate decision
